GET api/v2/provider/performance?RequestDate={RequestDate}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
RequestDate

string

None.

Body Parameters

None.

Response Information

Resource Description

ApiResponseNewOfListOfSearchPerformanceVM_New
NameDescriptionTypeAdditional information
status

integer

None.

message

string

None.

data

Collection of SearchPerformanceVM_New

None.

Response Formats

application/json, text/json

Sample:
{
  "status": 1,
  "message": "sample string 2",
  "data": [
    {
      "id": "1ef01e2d-a8dc-4060-b8a4-89350f1ade95",
      "operatorId": "b952e131-d290-4c25-b3b0-a3c4c144a3a8",
      "referenceOperatorId": "f9d5cd2e-343c-4236-9049-584b713fd161",
      "providerId": "0ac40895-8217-409a-a122-ccc8632da76d",
      "performanceType": "sample string 2",
      "starRating": 1,
      "commentText": "sample string 3",
      "date": "sample string 4",
      "reviewerType": "sample string 5",
      "attachments": "sample string 6",
      "fineAmount": 7.0,
      "fineType": "sample string 8",
      "isProcessed": true,
      "bonusAmount": 1.0,
      "bonusType": "sample string 9",
      "vendor": "sample string 10",
      "expenseType": "sample string 11",
      "expenseAmount": 1.0,
      "isArchived": true,
      "commentSubTypeID": "b0c455dd-eb87-419c-b109-c4c93b860463",
      "performanceDetails": [
        {
          "id": "86d1d06c-22c7-49ee-b457-0f2364a75adc",
          "commentTypeID": "8e837938-3a90-427c-9ff0-1937a7738344",
          "description": "sample string 1",
          "divisionID": "sample string 2",
          "isGood": true,
          "isBad": true
        },
        {
          "id": "86d1d06c-22c7-49ee-b457-0f2364a75adc",
          "commentTypeID": "8e837938-3a90-427c-9ff0-1937a7738344",
          "description": "sample string 1",
          "divisionID": "sample string 2",
          "isGood": true,
          "isBad": true
        }
      ]
    },
    {
      "id": "1ef01e2d-a8dc-4060-b8a4-89350f1ade95",
      "operatorId": "b952e131-d290-4c25-b3b0-a3c4c144a3a8",
      "referenceOperatorId": "f9d5cd2e-343c-4236-9049-584b713fd161",
      "providerId": "0ac40895-8217-409a-a122-ccc8632da76d",
      "performanceType": "sample string 2",
      "starRating": 1,
      "commentText": "sample string 3",
      "date": "sample string 4",
      "reviewerType": "sample string 5",
      "attachments": "sample string 6",
      "fineAmount": 7.0,
      "fineType": "sample string 8",
      "isProcessed": true,
      "bonusAmount": 1.0,
      "bonusType": "sample string 9",
      "vendor": "sample string 10",
      "expenseType": "sample string 11",
      "expenseAmount": 1.0,
      "isArchived": true,
      "commentSubTypeID": "b0c455dd-eb87-419c-b109-c4c93b860463",
      "performanceDetails": [
        {
          "id": "86d1d06c-22c7-49ee-b457-0f2364a75adc",
          "commentTypeID": "8e837938-3a90-427c-9ff0-1937a7738344",
          "description": "sample string 1",
          "divisionID": "sample string 2",
          "isGood": true,
          "isBad": true
        },
        {
          "id": "86d1d06c-22c7-49ee-b457-0f2364a75adc",
          "commentTypeID": "8e837938-3a90-427c-9ff0-1937a7738344",
          "description": "sample string 1",
          "divisionID": "sample string 2",
          "isGood": true,
          "isBad": true
        }
      ]
    }
  ]
}

application/xml, text/xml

Sample:
<ApiResponseNewOfArrayOfSearchPerformanceVM_NewqfWPY2Au xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/OrionDAL.ApiModels.Version1">
  <data>
    <SearchPerformanceVM_New>
      <Attachments>sample string 6</Attachments>
      <BonusAmount>1</BonusAmount>
      <BonusType>sample string 9</BonusType>
      <CommentSubTypeID>b0c455dd-eb87-419c-b109-c4c93b860463</CommentSubTypeID>
      <CommentText>sample string 3</CommentText>
      <Date>sample string 4</Date>
      <ExpenseAmount>1</ExpenseAmount>
      <ExpenseType>sample string 11</ExpenseType>
      <FineAmount>7</FineAmount>
      <FineType>sample string 8</FineType>
      <ID>1ef01e2d-a8dc-4060-b8a4-89350f1ade95</ID>
      <IsArchived>true</IsArchived>
      <OperatorId>b952e131-d290-4c25-b3b0-a3c4c144a3a8</OperatorId>
      <PerformanceDetails>
        <SubPerformanceTypeVM>
          <CommentTypeID>8e837938-3a90-427c-9ff0-1937a7738344</CommentTypeID>
          <Description>sample string 1</Description>
          <DivisionID>sample string 2</DivisionID>
          <ID>86d1d06c-22c7-49ee-b457-0f2364a75adc</ID>
          <isBad>true</isBad>
          <isGood>true</isGood>
        </SubPerformanceTypeVM>
        <SubPerformanceTypeVM>
          <CommentTypeID>8e837938-3a90-427c-9ff0-1937a7738344</CommentTypeID>
          <Description>sample string 1</Description>
          <DivisionID>sample string 2</DivisionID>
          <ID>86d1d06c-22c7-49ee-b457-0f2364a75adc</ID>
          <isBad>true</isBad>
          <isGood>true</isGood>
        </SubPerformanceTypeVM>
      </PerformanceDetails>
      <PerformanceType>sample string 2</PerformanceType>
      <ProviderId>0ac40895-8217-409a-a122-ccc8632da76d</ProviderId>
      <ReferenceOperatorId>f9d5cd2e-343c-4236-9049-584b713fd161</ReferenceOperatorId>
      <ReviewerType>sample string 5</ReviewerType>
      <StarRating>1</StarRating>
      <Vendor>sample string 10</Vendor>
      <isProcessed>true</isProcessed>
    </SearchPerformanceVM_New>
    <SearchPerformanceVM_New>
      <Attachments>sample string 6</Attachments>
      <BonusAmount>1</BonusAmount>
      <BonusType>sample string 9</BonusType>
      <CommentSubTypeID>b0c455dd-eb87-419c-b109-c4c93b860463</CommentSubTypeID>
      <CommentText>sample string 3</CommentText>
      <Date>sample string 4</Date>
      <ExpenseAmount>1</ExpenseAmount>
      <ExpenseType>sample string 11</ExpenseType>
      <FineAmount>7</FineAmount>
      <FineType>sample string 8</FineType>
      <ID>1ef01e2d-a8dc-4060-b8a4-89350f1ade95</ID>
      <IsArchived>true</IsArchived>
      <OperatorId>b952e131-d290-4c25-b3b0-a3c4c144a3a8</OperatorId>
      <PerformanceDetails>
        <SubPerformanceTypeVM>
          <CommentTypeID>8e837938-3a90-427c-9ff0-1937a7738344</CommentTypeID>
          <Description>sample string 1</Description>
          <DivisionID>sample string 2</DivisionID>
          <ID>86d1d06c-22c7-49ee-b457-0f2364a75adc</ID>
          <isBad>true</isBad>
          <isGood>true</isGood>
        </SubPerformanceTypeVM>
        <SubPerformanceTypeVM>
          <CommentTypeID>8e837938-3a90-427c-9ff0-1937a7738344</CommentTypeID>
          <Description>sample string 1</Description>
          <DivisionID>sample string 2</DivisionID>
          <ID>86d1d06c-22c7-49ee-b457-0f2364a75adc</ID>
          <isBad>true</isBad>
          <isGood>true</isGood>
        </SubPerformanceTypeVM>
      </PerformanceDetails>
      <PerformanceType>sample string 2</PerformanceType>
      <ProviderId>0ac40895-8217-409a-a122-ccc8632da76d</ProviderId>
      <ReferenceOperatorId>f9d5cd2e-343c-4236-9049-584b713fd161</ReferenceOperatorId>
      <ReviewerType>sample string 5</ReviewerType>
      <StarRating>1</StarRating>
      <Vendor>sample string 10</Vendor>
      <isProcessed>true</isProcessed>
    </SearchPerformanceVM_New>
  </data>
  <message>sample string 2</message>
  <status>1</status>
</ApiResponseNewOfArrayOfSearchPerformanceVM_NewqfWPY2Au>